using Application.Aggregates.Stores;
using Application.Aggregates.Stores.ViewModels;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.RazorPages;

namespace Server.Pages.Panel.Stores;

public class IndexModel(StoresApplication storesApplication) : PageModel
{
    public List<StoreViewModel> store { get; set; } = new();

    public async Task OnGetAsync()
    {
        store = await storesApplication.GetStors();
    }
}
